# Polypharmacy - DDI - Synergy Survey
[![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)
[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square)](http://makeapullrequest.com)
![Maturity level-0](https://img.shields.io/badge/Maturity%20Level-ML--0-red)


<p align="center">
  <img width="800" src="https://github.com/AstraZeneca/polypharmacy-ddi-synergy-survey/blob/master/survey_eyecandy_black_and_white.jpg">
</p>



## The Survey Paper

This repository accompanies our survey paper [A Unified View of Relational Deep Learning for Drug Pair Scoring](https://arxiv.org/abs/2111.02916).

If you find the survey or this repository useful in your research, please consider citing our paper:

```bibtex
@misc{rozemberczki2021unified,
      title={{A Unified View of Relational Deep Learning for Drug Pair Scoring}}, 
      author={Benedek Rozemberczki and Stephen Bonner and Andriy Nikolov and Michael Ughetto and Sebastian Nilsson and Eliseo Papa},
      year={2021},
      eprint={2111.02916},
      archivePrefix={arXiv},
      primaryClass={cs.LG}
}
```
--------------------------------------------------------------------------------

## Contents  

1. [High Level Models](https://github.com/AstraZeneca/polypharmacy-ddi-synergy-survey/blob/master/chapters/high_level.md)
2. [Low Level Models](https://github.com/AstraZeneca/polypharmacy-ddi-synergy-survey/blob/master/chapters/low_level.md)
3. [Hierarchical Models](https://github.com/AstraZeneca/polypharmacy-ddi-synergy-survey/blob/master/chapters/hierarchical.md)
4. [Datasets](https://github.com/AstraZeneca/polypharmacy-ddi-synergy-survey/blob/master/chapters/dataset.md)  
5. [Related Survey Papers](https://github.com/AstraZeneca/polypharmacy-ddi-synergy-survey/blob/master/chapters/survey.md)  

--------------------------------------------------------------------------------

**License**

- [Apache 2.0](https://github.com/AstraZeneca/polypharmacy-ddi-synergy-survey/blob/master/LICENSE)
