## High Level Models
### 2021

- **GraphSynergy: Network Inspired Deep Learning Model for Anti-Cancer Drug Combination Prediction (ResearchSquare 2021)**
  - Jiannan Yang, Zhongzhi Xu, William Wu, Qian Chu, Qingpeng Zhang
  - [[Paper]](https://www.researchsquare.com/article/rs-315189/v1)
  - [[Tensorflow]](https://github.com/JasonJYang/GraphSynergy)

- **Relation Matters in Sampling: A Scalable Multi-Relational Graph Neural Network for Drug-Drug Interaction Prediction (BioArxiv 2021)**
  - Arthur Feeney, Rishabh Gupta, Veronika Thost, Rico Angell, Gayathri Chandu, Yash Adhikari, Tengfei Ma
  - [[Paper]](https://arxiv.org/abs/2105.13975)

- **Drug-Drug Interaction Prediction with Wasserstein Adversarial Autoencoder-Based Knowledge Graph Embeddings (Bioinformatics 2021)**
  - Yuanfei Dai, Chenhao Guo, Wenzhong Guo, Carsten Eickhoff
  - [[Paper]](https://arxiv.org/abs/2004.07341)

- **Enhancing Drug-Drug Interaction Prediction Using Deep Attention Neural Networks (BioArxiv 2021)**
  - Shichao Liu, Yang Zhang, Yuxin Cui, Yang Qiu, Yifan Deng, Wen Zhang, Zhongfei Zhang
  - [[Paper]](https://www.biorxiv.org/content/10.1101/2021.03.16.435553v1.abstract)
  - [[Python TensorFlow]](https://github.com/naodandandan/DANN-DDI)

- **SumGNN: Multi-Typed Drug Interaction Prediction via Efficient Knowledge Graph Summarization (Bioinformatics 2021)**
  - Yue Yu, Kexin Huang, Chao Zhang, Lucas M Glass, Jimeng Sun, Cao Xiao
  - [[Paper]](https://academic.oup.com/bioinformatics/advance-article/doi/10.1093/bioinformatics/btab207/6189090)
  - [[Python PyTorch]](https://github.com/yueyu1030/SumGNN)

### 2020
- **DTF: Deep Tensor Factorization for Predicting Anticancer Drug Synergy (IJCAI 2020)**
  - Zexuan Sun, Shujun Huang, Peiran Jiang, Pingzhao Hu
  - [[Paper]](https://academic.oup.com/bioinformatics/article/36/16/4483/5830267?login=true)
  - [[PyTorch]](https://github.com/ZexuanSun/DTF-Drug-Synergy)

- **GoGNN: Graph of Graphs Neural Network for Predicting Structured Entity Interactions (IJCAI 2020)**
  - Hanchen Wang, Defu Lian, Ying Zhang, Lu Qin, Xuemin Lin
  - [[Paper]](https://arxiv.org/pdf/2005.05537.pdf)
  - [[PyTorch]](https://github.com/Hanchen-Wang/GoGNN)

- **SkipGNN: Predicting Molecular Interactions with Skip-Graph Networks (Nature Scientific Reports 2020)**
  - Kexin Huang, Cao Xiao, Lucas Glass, Marinka Zitnik, Jimeng Sun
  - [[Paper]](https://arxiv.org/abs/2004.14949)
  - [[PyTorch]](https://github.com/kexinhuang12345/SkipGNN)

- **KGNN: Knowledge Graph Neural Network for Drug-Drug Interaction Prediction (AAAI 2020)**
  - Xuan Lin, Zhe Quan, Zhi-Jie Wang, Tengfei Ma, Xiangxiang Zeng
  - [[Paper]](https://www.ijcai.org/proceedings/2020/0380.pdf)
  - [[PyTorch]](https://github.com/xzenglab/KGNN)

- **SkipGNN: Predicting Molecular Interactions with Skip-Graph Networks (Nature Scientific Reports 2020)**
  - Kexin Huang, Cao Xiao, Lucas Glass, Marinka Zitnik, Jimeng Sun
  - [[Paper]](https://arxiv.org/abs/2004.14949)
  - [[PyTorch]](https://github.com/kexinhuang12345/SkipGNN)

### 2019

- **Tri-graph Information Propagation for Polypharmacy Side Effect Prediction (NeurIPS 2019)**
  - Hao Xu, Shengqi Sang, and Haiping Lu
  - [[Paper]](https://grlearning.github.io/papers/94.pdf)
  - [[PyTorch]](https://github.com/NYXFLOWER/TIP)

### 2018

- **Modeling Polypharmacy Side Effects with Graph Convolutional Networks (NeurIPS 2019)**
  - Marinka Zitnik, Monica Agrawal, Jure Leskovec
  - [[Paper]](https://arxiv.org/abs/1802.00543)
  - [[Tensorflow]](https://github.com/mims-harvard/decagon)

- **Adverse Drug Reaction Predictions Using Stacking Deep Heterogeneous Information Network Embedding Approach (MDPI 2018)**
  - Baofang Hu, Hong Wang, Lutong Wang and Weihua Yuan
  - [[Paper]](https://www.ncbi.nlm.nih.gov/pmc/articles/PMC6320974/)

- **Knowledge Graph Completion to Predict Polypharmacy Side Effects (MDPI 2018)**
  - Baofang Hu, Hong Wang, Lutong Wang and Weihua Yuan
  - [[Paper]](https://www.ncbi.nlm.nih.gov/pmc/articles/PMC6320974/)

- **Knowledge Graph Completion to Predict Polypharmacy Side Effects (DILS 2018)**
  - Brandon Malone, Alberto García-Durán, Mathias Niepert
  - [[Paper]](https://arxiv.org/pdf/1810.09227.pdf)
