## Low Level Models
### 2021

- **GCN-BMP: Investigating graph representation learning for DDI prediction task**
  - Xin Chena, Xien Liua, Ji Wu
  - [[Paper]](https://www.sciencedirect.com/science/article/pii/S1046202320300608)

- **Synergistic Drug Combination Prediction by Integrating Multiomics Data in Deep Learning Models (Translational Bioinformatics for Therapeutic Development 2021)**
  - Tianyu Zhang, Liwei Zhang, Philip R. O. Payne, Fuhai Li
  - [[Paper]](https://www.biorxiv.org/content/10.1101/2020.05.24.113241v3)
 
- **MatchMaker: A Deep Learning Framework for Drug Synergy Prediction (IEEE/ACM Transactions on Computational Biology and Bioinformatics 2021)**
  - Halil Ibrahim Kuru, Oznur Tastan, A. Ercument Cicek
  - [[Paper]](https://www.biorxiv.org/content/10.1101/2020.05.24.113241v3)
  - [[Tensorflow]](https://github.com/hikuru/matchmaker)

- **Cold-Start Problems in Data-Driven Prediction of Drug–Drug Interaction Effects (MDPI 2021)**
  - Pieter Dewulf, Michiel Stock and Bernard De Baets
  - [[Paper]](https://www.mdpi.com/1424-8247/14/5/429)

- **SmileGNN: Drug-Drug Interaction Prediction Based on SMILES and Graph Neural Network (ResearchSquare 2021)**
  - Xueting Han, Xutao Li, Junyi Li
  - [[Paper]](https://assets.researchsquare.com/files/rs-598562/v1_covered.pdf?c=1631870448)
  - [[TensorFlow]](https://github.com/AshleyHan/SmileGNN)

- **DeepDDS: Deep Graph Neural Network with Attention Mechanism to Predict Synergistic Drug Combinations (Arxiv 2021)**
  - Jinxian Wang, Wenhao Zhang, Siyuan Shen, Lei Deng, Hui Liu
  - [[Paper]](https://www.biorxiv.org/content/10.1101/2021.04.06.438723v1.abstract)
  - [[PyTorch]](https://github.com/Sinwang404/DeepDDs)

- **SSI–DDI: Substructure–Substructure Interactions for Drug–Drug Interaction Prediction (Briefings in Bioinformatics 2021)**
  - Arnold K. Nyamabo, Hui Yu and Jian-Yu Shi
  - [[Paper]](https://academic.oup.com/bib/advance-article-abstract/doi/10.1093/bib/bbab133/6265181)
  - [[PyTorch]](https://github.com/kanz76/SSI-DDI)

### 2020
- **DeepDrug: A General Graph-Based Deep Learning Framework for Drug Relation Prediction (BioArxiv 2020)**
  - Xusheng Cao, Rui Fan, Wanwen Zeng
  - [[Paper]](https://www.biorxiv.org/content/10.1101/2020.11.09.375626v1)
  - [[Python TensorFlow]](https://github.com/wanwenzeng/deepdrug)

- **DPDDI: A Deep Predictor for Drug-Drug Interactions (BMC Bioinformatics 2020)**
  - Yue-Hua Feng, Shao-Wu Zhang, Jian-Yu Shi
  - [[Paper]](https://bmcbioinformatics.biomedcentral.com/articles/10.1186/s12859-020-03724-x)
  - [[Python TensorFlow]](https://github.com/fenshiwuhen/DPDDI)

- **CASTER: Predicting Drug Interactions with Chemical Substructure Representation (AAAI 2020)**
  - Kexin Huang, Cao Xiao, Trong Nghia Hoang, Lucas M. Glass, Jimeng Sun
  - [[Paper]](https://arxiv.org/abs/1911.06446)
  - [[PyTorch]](https://github.com/kexinhuang12345/CASTER)


### 2019

- **Drug-Drug Adverse Effect Prediction with Graph Co-Attention (ICML 2019)**
  - Andreea Deac, Yu-Hsiang Huang, Petar Veličković, Pietro Liò, Jian Tang
  - [[Paper]](https://arxiv.org/abs/1905.00534)
  - [[PyTorch]](https://github.com/andreeadeac22/graph_coattention)

- **MR-GNN: Multi-Resolution and Dual Graph Neural Network for Predicting Structured Entity Interactions (IJCAI 2019)**
  - Nuo Xu, Pinghui Wang, Long Chen, Jing Tao, Junzhou Zhao
  - [[Paper]](https://arxiv.org/abs/1905.09558?context=cs.LG)
  - [[Python Tensorflow]](https://github.com/prometheusXN/MR-GNN)

### 2018

- **Deep Learning Improves Prediction of Drug--Drug and Drug-Food Interactions (PNAS 2018)**
  - Jae Yong Ryu, Hyun Uk Kim, Sang Yup Lee
  - [[Paper]](https://www.pnas.org/content/115/18/E4304)
  - [[TensorFlow]](https://bitbucket.org/kaistsystemsbiology/deepddi)

- **DeepCCI: End-to-end Deep Learning for Chemical-Chemical Interaction Prediction (BCB 2017)**
  - Sunyoung Kwon, Sungroh Yoon
  - [[Paper]](https://arxiv.org/abs/1704.08432)

- **DeepSynergy: Predicting Anti-Cancer Drug Synergy with Deep Learning (Bioinformatics 2018)**
  - Kristina Preuer, Richard P I Lewis, Sepp Hochreiter, Andreas Bender, Krishna C Bulusu, Günter Klambauer
  - [[Paper]](https://academic.oup.com/bioinformatics/article/34/9/1538/4747884?login=true)
  - [[TensorFlow]](https://github.com/KristinaPreuer/DeepSynergy)
